Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jasig.portal.groups.pags.testers
Class BaseAttributeTester

    java.lang.Object
      org.jasig.portal.groups.pags.testers.BaseAttributeTester

All Implemented Interfaces:
  IPersonTester

Direct Known Subclasses:
  IntegerTester, StringTester, ValueMissingTester

    public abstract class BaseAttributeTester

extends java.lang.Object
implements IPersonTester

A tester for examining `IPerson` attributes.

Version:
  $Revision: 1.2 $
Author:
  Dan Ellentuck

Field Summary
`protected java.lang.String` | `attributeName`
`protected java.lang.String` | `testValue`

Constructor Summary
`BaseAttributeTester(java.lang.String attribute, java.lang.String test)`

Method Summary
`java.lang.String` | `asString(java.lang.Object o)` return String
`java.lang.String` | `getAttributeName()`
`java.lang.String` | `getTestValue()`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.jasig.portal.groups.pags.IPersonTester
`test`

Field Detail

### attributeName

    protected java.lang.String attributeName

### testValue

    protected java.lang.String testValue

Constructor Detail

### BaseAttributeTester

    public BaseAttributeTester(java.lang.String attribute,
                               java.lang.String test)

Method Detail

### getAttributeName

    public java.lang.String getAttributeName()

  Returns:
    String

### getTestValue

    public java.lang.String getTestValue()

  Returns:
    String

### asString

    public java.lang.String asString(java.lang.Object o)

  return String

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD